#ifndef CAMCONFIG_DOT_H
#define CAMCONFIG_DOT_H

#define CAMCONFIG_DEF_LISTEN_PORT 9191

typedef struct camconfig_st CamConfig;

extern CamConfig *camconfig_read( const char *cfg_file );
extern void camconfig_dest( CamConfig *cfg );
extern int camconfig_query_int( const CamConfig *cfg, const char *key, 
				int *err );
extern const char *camconfig_query_str( const CamConfig *cfg, 
					const char *key );
extern int camconfig_set_str( CamConfig *cfg, const char *key, 
			      const char *value );
extern int camconfig_set_int( CamConfig *cfg, const char *key,
			      int value );
extern int camconfig_query_def_int( const CamConfig *cfg, const char *key, 
				    int def );
extern float camconfig_query_def_float( const CamConfig *cfg, const char *key, 
					float def );

#endif
